## PhoshOskManager

PhoshOskManager — A manager that handles the OSK

## Functions

PhoshOskManager * | phosh_osk_manager_new ()
gboolean | phosh_osk_manager_get_available ()
void | phosh_osk_manager_set_visible ()
gboolean | phosh_osk_manager_get_visible ()

## Properties

gboolean | available | Read
gboolean | visible | Read

## Types and Values

#define | PHOSH_TYPE_OSK_MANAGER
| PhoshOskManager

## Object Hierarchy

        GObject
        ╰── PhoshOskManager

## Description

The PhoshOskManager is responsible for handling the on screen keyboard. It tracks the OSKs visible property and can toogle the state. Note that there's no way to ensure keyboard state via this interface as it just uses DBus to express preference. Any text input can make the keyboard show again.

## Functions

### phosh_osk_manager_new ()

    PhoshOskManager *
    phosh_osk_manager_new (void);

### phosh_osk_manager_get_available ()

    gboolean
    phosh_osk_manager_get_available (PhoshOskManager *self);

### phosh_osk_manager_set_visible ()

    void
    phosh_osk_manager_set_visible (PhoshOskManager *self,
                                   gboolean visible);

### phosh_osk_manager_get_visible ()

    gboolean
    phosh_osk_manager_get_visible (PhoshOskManager *self);

## Types and Values

### PHOSH_TYPE_OSK_MANAGER

    #define PHOSH_TYPE_OSK_MANAGER (phosh_osk_manager_get_type())

### PhoshOskManager

    typedef struct _PhoshOskManager PhoshOskManager;

## Property Details

### The `“available”` property

      “available”                gboolean

Whether an OSK is available.

Owner: PhoshOskManager

Flags: Read

Default value: FALSE

### The `“visible”` property

      “visible”                  gboolean

Whether the OSK is currently visible.

Owner: PhoshOskManager

Flags: Read

Default value: FALSE